from sqlalchemy import Column, String, Integer, Float, DateTime, Boolean, Text
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class Project(Base):
    __tablename__ = '项目信息'

    project_id = Column('项目编号', String(30), primary_key=True)
    compilation_method = Column('编制办法文号', String(50))
    project_name = Column('建设项目名称', String(255))
    short_name = Column('简称', String(10))
    design_stage = Column('设计阶段', String(50))
    compilation_scope = Column('编制范围', String(255))
    total_engineering = Column('工程总量', Float)
    unit = Column('单位', String(20))
    project_manager = Column('项目负责人', String(20))
    total_budget = Column('概算总值', Float)
    budget_index = Column('概算指标', Float)
    standard_quota = Column('标准定额应用', Text)
    train_transport_standard = Column('火车运输标准', String(50))
    project_version = Column('项目版本号', String(50))
    create_time = Column('创建时间', DateTime)
    material_library = Column('材料库', String(50))
    work_shift_library = Column('台班库', String(50))
    equipment_library = Column('设备库', String(50))
    review_status = Column('审查状态', Integer)
    years_to_construction = Column('编制年至开工年年限', Integer)
    project_password = Column('项目密码', String(10))
    railway_grade = Column('铁路等级', String(10))
    main_line_count = Column('正线数目', Integer)
    traction_type = Column('牵引种类', String(10))
    blocking_mode = Column('闭塞方式', String(10))
    station_count = Column('车站数量', String(50))
    project_description = Column('项目简介', Text)
    target_speed = Column('速度目标值', Integer)
    print_compilation_review = Column('打印编制复核', Boolean)
    project_type = Column('项目类型', String(20))
    unit_conversion = Column('单位换算', Boolean)
    completion_status = Column('完成状态', String(10))

    def __repr__(self):
        return f"<Project(project_id='{self.project_id}', project_name='{self.project_name}')>"